## org.apache.lucene.codecs.lucene3x
Class Lucene3xCodec

    java.lang.Object
      org.apache.lucene.codecs.Codec
          org.apache.lucene.codecs.lucene3x.Lucene3xCodec

All Implemented Interfaces:
  NamedSPILoader.NamedSPI

Deprecated. Only for reading existing 3.x indexes

    @Deprecated
    public class Lucene3xCodec

extends Codec

Supports the Lucene 3.x index format (readonly)

Constructor Summary
`Lucene3xCodec()` Deprecated.

Method Summary
`DocValuesFormat` `docValuesFormat()` Deprecated. Encodes/decodes docvalues
`FieldInfosFormat` `fieldInfosFormat()` Deprecated. Encodes/decodes field infos file
`static Set<String>` `getDocStoreFiles(SegmentInfo info)` Deprecated. Returns file names for shared doc stores, if any, else null.
`LiveDocsFormat` `liveDocsFormat()` Deprecated. Encodes/decodes live docs
`NormsFormat` `normsFormat()` Deprecated. Encodes/decodes document normalization values
`PostingsFormat` `postingsFormat()` Deprecated. Encodes/decodes postings
`SegmentInfoFormat` `segmentInfoFormat()` Deprecated. Encodes/decodes segment info file
`StoredFieldsFormat` `storedFieldsFormat()` Deprecated. Encodes/decodes stored fields
`TermVectorsFormat` `termVectorsFormat()` Deprecated. Encodes/decodes term vectors

Methods inherited from class org.apache.lucene.codecs.Codec
`availableCodecs, forName, getDefault, getName, reloadCodecs, setDefault, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Lucene3xCodec

    public Lucene3xCodec()

  Deprecated.

Method Detail

### postingsFormat

    public PostingsFormat postingsFormat()

  Deprecated.
  Description copied from class: `Codec`
  Encodes/decodes postings

  Specified by:
    `postingsFormat` in class `Codec`

### docValuesFormat

    public DocValuesFormat docValuesFormat()

  Deprecated.
  Description copied from class: `Codec`
  Encodes/decodes docvalues

  Specified by:
    `docValuesFormat` in class `Codec`

### storedFieldsFormat

    public StoredFieldsFormat storedFieldsFormat()

  Deprecated.
  Description copied from class: `Codec`
  Encodes/decodes stored fields

  Specified by:
    `storedFieldsFormat` in class `Codec`

### termVectorsFormat

    public TermVectorsFormat termVectorsFormat()

  Deprecated.
  Description copied from class: `Codec`
  Encodes/decodes term vectors

  Specified by:
    `termVectorsFormat` in class `Codec`

### fieldInfosFormat

    public FieldInfosFormat fieldInfosFormat()

  Deprecated.
  Description copied from class: `Codec`
  Encodes/decodes field infos file

  Specified by:
    `fieldInfosFormat` in class `Codec`

### segmentInfoFormat

    public SegmentInfoFormat segmentInfoFormat()

  Deprecated.
  Description copied from class: `Codec`
  Encodes/decodes segment info file

  Specified by:
    `segmentInfoFormat` in class `Codec`

### normsFormat

    public NormsFormat normsFormat()

  Deprecated.
  Description copied from class: `Codec`
  Encodes/decodes document normalization values

  Specified by:
    `normsFormat` in class `Codec`

### liveDocsFormat

    public LiveDocsFormat liveDocsFormat()

  Deprecated.
  Description copied from class: `Codec`
  Encodes/decodes live docs

  Specified by:
    `liveDocsFormat` in class `Codec`

### getDocStoreFiles

    public static Set<String> getDocStoreFiles(SegmentInfo info)

  Deprecated.
  Returns file names for shared doc stores, if any, else null.

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.